#ifndef ABSTRACTPLUGIN_H
#define ABSTRACTPLUGIN_H

#include <qobject.h>

#include <QtDesigner/QExtensionManager>

struct Struct1 {
    Struct1(int _a, double _b): a(_a), b(_b) {}
    int a;
    double b;
};

class AbstractPlugin: public QObject {
Q_OBJECT
public:
    AbstractPlugin(QObject *parent = 0);
    virtual ~AbstractPlugin();

    virtual void process(AbstractPlugin *other);

    virtual void setExtensionManager(QExtensionManager *manager)
    {
        m_manager = manager;
    }

protected:
    QExtensionManager *m_manager;
};

#endif
