#ifndef PLUGIN1_H
#define PLUGIN1_H

#include <qobject.h>
#include "abstractplugin.h"

#include "iface/plugin1iface.h"

class Plugin3: public AbstractPlugin,
        public Plugin1IfaceV1,
        public Plugin1IfaceV2 {
    Q_OBJECT
    Q_INTERFACES(Plugin1IfaceV1)
    Q_INTERFACES(Plugin1IfaceV2)
public:
    Plugin3(QObject *parent = 0);
    ~Plugin3();

    virtual void setExtensionManager(QExtensionManager *manager);

public slots:
//    virtual void breakBC() { qWarning("uncomment me to break BC"); }
    virtual void doSmth() { qWarning("done something"); }
    virtual QString foo(QString arg1, Struct1 s1);
signals:
    void mySig();
};

#endif
